package com.auto.clicker.autoclicker.data;

import android.view.WindowManager;

import com.auto.clicker.autoclicker.view.ConnectingLineView;

public class SlideEvent extends Event {
    private int id;
    private PointEvent startPoint;
    private PointEvent endPoint;

    private transient ConnectingLineView lineView;
    private transient WindowManager.LayoutParams lineParams;

    public SlideEvent(int id, PointEvent startPoint, PointEvent endPoint) {
        super(id);
        this.startPoint = startPoint;
        this.endPoint = endPoint;
    }

    @Override
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public PointEvent getStartPoint() {
        return startPoint;
    }

    public void setStartPoint(PointEvent startPoint) {
        this.startPoint = startPoint;
    }

    public PointEvent getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(PointEvent endPoint) {
        this.endPoint = endPoint;
    }

    public ConnectingLineView getLineView() {
        return lineView;
    }

    public void setLineView(ConnectingLineView lineView) {
        this.lineView = lineView;
    }

    public WindowManager.LayoutParams getLineParams() {
        return lineParams;
    }

    public void setLineParams(WindowManager.LayoutParams lineParams) {
        this.lineParams = lineParams;
    }
}